System Requirements

Office System

The following Microsoft Excel versions are supported. Moreover, you need to install additional patches to overcome some possible issues for Microsoft Office 2000, 2002, XP, or 2003.

  • Microsoft Excel 2000 Install the lockbackRegKey.msi to fix a CLR issue on Microsoft Office machines older than Office 2003.
  • Microsoft Excel 2002 Install lockbackRegKey.msi to fix a CLR issue on Microsoft Office machines older than Office 2003.
  • Microsoft Excel 2003 Always Update to Office 2003 (KB907417). This update corrects a potential problem in which an add-in, a smart tag, or a smart document may not load if it uses the Microsoft .NET Framework 2.0.
  • Microsoft Excel 2007
  • Microsoft Excel 2010
  • Microsoft Excel 2013

Reporting Services

  • Microsoft SQL Server Reporting Services 2005
  • Microsoft SQL Server Reporting Services 2008
  • Microsoft SQL Server Reporting Services 2008 R2
  • Microsoft SQL Server Reporting Services 2012
  • Microsoft SQL Server Reporting Services 2014
  • Microsoft SQL Server Reporting Services 2016

Visual Studio

  • Microsoft Visual Studio 2005
  • Microsoft Visual Studio 2008
  • Microsoft Visual Studio 2010

Operating System

The following Microsoft Windows operating systems are supported:

  • Microsoft Windows 2000 Server
  • Microsoft Windows 2000 Professional
  • Microsoft Windows XP Home Edition
  • Microsoft Windows XP Professional Edition
  • Microsoft Windows XP Professional x64 Edition
  • Microsoft Windows 2003 Server
  • Microsoft Windows Vista
  • Microsoft Windows 7
  • Microsoft Windows 2008 Server
  • Microsoft Windows 2008 Server R2
  • Microsoft Windows 2012 Server
  • Microsoft Windows 2012 R2 Server

Supported .NET Framework Versions

The following .NET Framework versions are supported:

  • NET Framework 2.0
  • .NET Framework 3.5
  • .NET Framework 4.x